Bug 226437 - Merge Review: strace
Merge Review: strace
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-01-31 16:02 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-20 23:33:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 16:02:18 EST
Fedora Merge Review: strace

Initial Owner: roland@redhat.com
Comment 1 Kevin Fenzi 2007-02-18 00:27:38 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (BSD)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
ef40944118841803391d212cb64d3c5b  strace-4.5.15.tar.bz2
ef40944118841803391d212cb64d3c5b  strace-4.5.15.tar.bz2.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:


See below - Should build in mock.
See below - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
3 outstanding bugs - check for outstanding bugs on package.


1. Might consider adding the COPYRIGHT file as a %doc.
Additionally: Changelog CREDITS NEWS PORTING TODO
might also be nice to have as doc files.

2. Please use the approved buildroot:
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

3. If this package can avoid it, please don't use '%makeinstall'.
Instead use 'make DESTDIR=%{buildroot} install' instead.
See: http://www.fedoraproject.org/wiki/PackagingDrafts/MakeInstall

4. Our pal rpmlint says:

W: strace summary-ended-with-dot Tracks and displays system calls associated
with a running process.

Suggest: remove . at the end of the summary.

W: strace macro-in-%changelog patch

Suggest: change the "%patch" in the changelog to "%%patch" to make sure rpm
doesn't expand it as a macro.

5. This package doesn't seem to compile under mock for i386/x86_64 in devel.

The build ends in:

net.c: In function 'printsock':
net.c:957: error: field 'nl' has incomplete type
make[1]: *** [net.o] Error 1

Can you duplicate this problem there?
I ran the above checks against the fc6 version for now, but once it
builds I will want to make a recheck for devel.

6. Only 3 outstanding bugs, and none of them seem directly related to
packaging. You might want to take a look at them and see if any of them
can be addressed while you are making the above changes.

7. Why the strace64_arches sections? It seems to contain ppc64, but
I don't think thats a platform fedora currently builds for.

8. Minor: might add '%{?_smp_mflags}' to the make line to support
faster builds on multi cpu machines.

9. Is there a reason to not ship the 'strace-graph' binary?
Comment 2 Kevin Fenzi 2007-02-23 22:25:19 EST
Resetting flags and such per the new offical review guidelines. 
Comment 3 Roland McGrath 2007-11-20 16:56:57 EST
I think all these issues are resolved in the F8 (maybe even F7) rpms.
Please complete the review.

strace-graph has never been included or supported in any Fedora or RHL release
before.  I don't intend to start maintaining it now.
Comment 4 Kevin Fenzi 2007-11-20 23:03:14 EST
Yes indeed. All above items are taken care of. Thanks for looking at it. 

The only very minor issue I see now is: 

strace.x86_64: W: file-not-utf8 /usr/share/doc/strace-4.5.16/ChangeLog
strace.x86_64: W: file-not-utf8 /usr/share/doc/strace-4.5.16/CREDITS

If you like, you could run 'iconv' and make sure those files are utf8. 
No big deal. 

You are of course free to not ship strace-graph, but do you think it would be an
additional support burden?

This merge review is APPROVED. Feel free to close RAWHIDE. 
Comment 5 Roland McGrath 2007-11-20 23:33:45 EST
I converted those files, so they won't be flagged in the next version when it's

Note You need to log in before you can comment on or make changes to this bug.